Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062678 - create_group_xml.py fails on rhel 6
Summary: create_group_xml.py fails on rhel 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Petr Hracek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-07 17:03 UTC by John Dennis
Modified: 2014-08-14 12:45 UTC (History)
1 user (show)

Fixed In Version: preupgrade-assistant-1.0.2-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-15 06:49:42 UTC


Attachments (Terms of Use)

Description John Dennis 2014-02-07 17:03:14 UTC
create_group_xml.py import argparse, but argparse is new in python 2.7, rhel6 still has python 2.6.

./create_group_xml.py contents-users/RHEL6_7/services/freeradius
Traceback (most recent call last):
  File "./create_group_xml.py", line 4, in <module>
    import argparse
ImportError: No module named argparse

Comment 4 John Dennis 2014-02-10 19:28:04 UTC
argparse is still being used in the git repo version of create_group_xml.py. My git repo is fully up to date.

These commits are related to argparse:

b6c7df1 spec: remove argparse dependency
254842f use optparse instead of argparse
3e29d1e spec: python-argparse added to BR
71778df add requires python-argparse for rhel

But create_group_xml.py and xccdf_compose.py still do:

import argparse

so obviously the use of argparse has not been fully replaced.

Comment 6 Ondrej Vasik 2014-06-15 06:49:42 UTC
As the bugzilla is marked VERIFIED and preupgrade-assistant packages went alive, I'm closing the bugzilla CURRENTRELEASE. Please file new separate bugzilla for any remaining issues.


Note You need to log in before you can comment on or make changes to this bug.